Interface InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
InfinispanEmbeddedEndpointBuilderFactory
public static interface InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedBuilders
-
Method Summary
Modifier and TypeMethodDescriptionInfinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid.infinispanEmbedded(String path) Infinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid.infinispanEmbedded(String componentName, String path) Infinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid.
-
Method Details
-
infinispanEmbedded
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedHeaderNameBuilder infinispanEmbedded()Infinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid. Category: cache,clustering Since: 2.13 Maven coordinates: org.apache.camel:camel-infinispan-embedded- Returns:
- the dsl builder for the headers' name.
-
infinispanEmbedded
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder infinispanEmbedded(String path) Infinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid. Category: cache,clustering Since: 2.13 Maven coordinates: org.apache.camel:camel-infinispan-embedded Syntax:infinispan-embedded:cacheNamePath parameter: cacheName (required) The name of the cache to use. Use current to use the existing cache name from the currently configured cached manager. Or use default for the default cache manager name.- Parameters:
path- cacheName- Returns:
- the dsl builder
-
infinispanEmbedded
default InfinispanEmbeddedEndpointBuilderFactory.InfinispanEmbeddedEndpointBuilder infinispanEmbedded(String componentName, String path) Infinispan Embedded (camel-infinispan-embedded) Read and write from/to Infinispan distributed key/value store and data grid. Category: cache,clustering Since: 2.13 Maven coordinates: org.apache.camel:camel-infinispan-embedded Syntax:infinispan-embedded:cacheNamePath parameter: cacheName (required) The name of the cache to use. Use current to use the existing cache name from the currently configured cached manager. Or use default for the default cache manager name.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- cacheName- Returns:
- the dsl builder
-